import { select, csv, csvFormat } from 'd3';

const kilobytes = data =>
  Math.ceil(csvFormat(data).length / 1000);

const body = select('body');

csv('https://gist.githubusercontent.com/Nagateja99/1e25cd8ccb79fca148db8dea5b601db0/raw/d824eb4df7f4c695bb746eadb9cd945370471fb1/gistfile1.txt')
  .then(data => {
    
    body
      .append('pre')
        .text('First 10 rows:');

    body
      .append('pre')
        .text(JSON.stringify(data.slice(0, 10), null, 2));
  });